@import url('https://fonts.googleapis.com/css?family=Montserrat');

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Montserrat', sans-serif; 
}

body {
    font-size: 16px;
    line-height: 1.6;
    margin: 0;
}

.hero {
    width: 100%;
    height: 100vh;
    background-image: linear-gradient(rgba(12,3,51,0.3), rgba(12,3,51,0.3));
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
}

nav {
    width: 100%;
    position: absolute;
    top: 0;
    left: 0;
    padding: 20px 8%;
    display: flex;
    align-items: center;
    justify-content: space-between;
}


nav .logo {
    width: 60px;
}

nav ul {
    list-style: none;
    display: flex;
    margin-left: auto;
}

nav ul li {
    margin-left: 20px;
    margin-right: 20px;
}

nav ul li a {
    text-decoration: none;
    color: #fff;
    font-size: 17px;
    transition: color 0.3s ease;
}

nav ul li a:hover {
    color: #e6e6e6; /* Change to your preferred hover color */
}

.content {
    text-align: center;
    margin-top: 50px;
    color: #fff;
}

.content h1 {
    font-size: 45px;
    font-weight: 600;
    padding: 20px;
    transition: 0.5s;
}

.content .sub-heading {
    font-size: 24px;
    font-weight: 500;
    margin-top: 10px;
    margin-bottom: 20px;
}

.content .sub-heading1 {
    font-size: 24px;
    font-weight: 500;
    margin-top: 10px;
    margin-bottom: 20px;
    color: transparent;
}
.content .description {
    font-size: 16px;
    line-height: 1.6;
    margin-bottom: 20px;
    color: transparent;
}

.content a {
    text-decoration: none;
    display: inline-block;
    color: #fff;
    font-size: 18px;
    border: 2px solid #fff;
    padding: 14px 30px;
    border-radius: 50px;
    margin-top: 40px; 
    margin-bottom: 20px; 

}

.content a:hover {
    background-color: #fff; 
    color: #333; 
}

.back-video,
.back-image {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    z-index: -1;
}


@media (max-width: 768px) {
    .content h1 {
        font-size: 24px; 
        padding: 10px;
        margin-top: 200px;
    }

    .content .sub-heading,
    .content .sub-heading1 {
        font-size: 15px; 
        padding: 5px;
        margin-top: 10px;
    }

    .content .description {
        font-size: 5px; 
        line-height: 1.6;
        margin-bottom: 5px;
    }

    .content a {
        font-size: 16px;
        padding: 10px 20px;
    }

    .hero {
        justify-content: center;
        align-items: flex-start; /
    }

    nav {
        flex-direction: column;
        align-items: center;
    }

    nav ul {
        flex-direction: column;
        text-align: center;
        margin-top: 5px;
    }

    nav ul li {
        margin: 5px 0;
    }

    nav ul li a {
        font-size: 16px;
        padding: 10px;
    }

    .video-large,
    .back-image {
        display: none;
    }

    .video-small {
        display: block;
    }
}


@media (min-width: 768px) {
    .video-large {
        display: block;
    }

    .video-small,
    .back-image {
        display: none;
    }
    
    .content h1 {
        font-size: 32px; /* Fixed font size for laptops */
        padding: 20px;
        margin-top: 100px;
    }

    .content .sub-heading,
    .content .sub-heading1 {
        font-size: 18px; /* Fixed font size for laptops */
        padding: 10px;
        margin-top: 10px;
    }

    .content .description {
        font-size: 14px; /* Fixed font size for laptops */
        line-height: 1.6;
        margin-bottom: 20px;
    }

    .content a {
        font-size: 16px; /* Fixed font size for laptops */
        padding: 14px 30px;
    }

    nav ul li {
        margin: 5px 0;
    }

    nav ul li a {
        font-size: 16px; /* Fixed font size for laptops */
        padding: 10px;
    }
}